%define name    soya
%define oname   Soya
%define version 0.10.1
%define	tutver	0.10.1
%define	rel	1
%define release %mkrel %{rel}

Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Url:		http://oomadness.tuxfamily.org/en/soya/
Source0:        http://download.gna.org/soya/%{oname}-%{version}.tar.bz2
Source1:	http://download.gna.org/soya/%{oname}Tutorial-%{tutver}.tar.bz2
Patch1:		soya-0.9.3-use-system-ode.patch.bz2
Group:          Development/Python
Summary:        A practical high-level object-oriented 3D engine
BuildRequires:  python-devel XFree86-devel png-devel nas-devel zlib-devel SDL-devel
BuildRequires:	cal3d-devel pyrex MesaGLU-devel ode-devel
Requires:       editobj
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A practical high-level object-oriented 3D engine.

# (jiba) A separate package for the tutorial
%package	tutorial
Summary:        Tutorial for the Soya 3D engine
License:        GPL
Group:          Development/Python
Url:            http://oomadness.nekeme.net/en/soya/
Requires:       %{name} >= %{version}

%description	tutorial
This is a set of tutorial for Soya.
Soya is a practical high-level object-oriented 3D engine for Python.

%prep
%setup -q -n %{oname}-%{version} -a 1 
rm -rf `find -name CVS` `find -name .cvswrappers`
%patch1 -p1 -b .ode

%build
# needed to generate proper c code for gcc4
pyrexc _ode.pyx 

%{__python} setup.py build

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install --root=$RPM_BUILD_ROOT

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES AUTHORS
%{_bindir}/%{name}_editor
%{_libdir}/python%{pyver}/site-packages/%{name}
#%{_libdir}/python%{py_ver}/site-packages/*.so

%files tutorial
%defattr(644,root,root,0755)
%doc %{oname}Tutorial-%{tutver}/AUTHORS %{oname}Tutorial-%{tutver}/tutorial

%changelog

* Tue Aug 30 2005 Michael Scherer <misc@mandriva.org> 0.10.1-1mdk
- update to 0.10.1
- rpmbuildupdateable

* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.3-0.cvs20050313.3mdk
- update url
- %%mkrel
- build against new dynamically linked ode (P1)

* Tue Mar 15 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.3-0.cvs20050313.2mdk
- make it work with latest cal3d (P0 from Jan Ciger, fixes #14567)

* Mon Mar 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.3-0.cvs20050313.1mdk
- use cvs snapshot to work against latest cal3d

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.2-2mdk
- rebuild for new cal3d

* Tue Feb 08 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- from Gertz Raphaël <rapsys@free.fr> : 
	- 0.9.2

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-3mdk
- fix buildrequires

* Fri Jan 14 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-2mdk
- fix buildrequires

* Mon Jan 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.1-1mdk
- 0.9.1
- updated tutorial to 0.9
- fix summary-ended-with-dot

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.8.2-2mdk
- Rebuild for new python

* Fri Oct 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.8.2-1mdk
- 0.8.2

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.7c-1mdk
- 0.7c
- drop patch, fixed upstream
- add new buildrequires
- update tutorial

* Tue Jun 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-4mdk
- update url

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.1-3mdk
- rebuild

* Sun Dec 28 2003 Luca Berra <bluca@vodka.it> 0.6.1-2mdk
- rebuild for new cal3d

* Mon Dec 22 2003 Husson Pierre-Hugues <phh@sidenux.ath.cx> 0.6.1-1mdk
- 0.6.1
- Fix freetype2 problem

* Wed Nov 26 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1
- fix buildrequires (lib64..)

* Fri Aug 08 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-2mdk
- rebuild for new python
- happy b-day to me!:)

* Thu Jul 24 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.5-1mdk
- 0.5

* Sat Apr 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.4.1-1mdk
- 0.4.1
- depend on libcal3d-devel

* Tue Apr 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-4mdk
- added a tutorial package (from Lamy Jean-Baptiste <jiba@tuxfamily.org>)

* Tue Apr 08 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-3mdk
- Requires: editobj (from Lamy Jean-Baptiste <jiba@tuxfamily.org>)
- added libSDL-devel to BuildRequires (from Lamy Jean-Baptiste <jiba@tuxfamily.org>)

* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-2mdk
- fixed buildrequires
- build in build stage
- use macros for python

* Mon Apr 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-1mdk
- initial mdk release
